## Class Baum

    java.lang.Object
      Baum

    public class Baum

extends java.lang.Object

Diese Klasse ist zur Erzeugung eines Baums

Version:
  lauffähige erste Version
Author:
  Dr.-Ing. U. Kiesmüller

Constructor Summary
`Baum(int xlinksoben, int ylinksoben, int breite, int hoehe)` Konstruktor für einen Baum mit schwarzem rechteckigem Stamm und grüner kreisförmiger Baumkrone

Method Summary
`int` | `gibBreiteStamm()` Methode zur Abfrage der Breite des Stamm-Rechtecks
`int` | `gibFarbnrKrone()` Methode zur Abfrage der Farbe der Baumkrone
`int` | `gibFarbnrStamm()` Methode zur Abfrage der Farbe des Stamm-Rechtecks
`int` | `gibHoeheStamm()` Methode zur Abfrage der Höhe des Stamm-Rechtecks
`int` | `gibRadiusKrone()` Methode zur Abfrage des Radius der Baumkrone
`int` | `gibXMitteKrone()` Methode zur Abfrage der x-Koordinate des Kreismittelpunkts der Baumkrone
`int` | `gibXStartStamm()` Methode zur Abfrage der linken x-Koordinate des Stamm-Rechtecks
`int` | `gibYMitteKrone()` Methode zur Abfrage der y-Koordinate des Kreismittelpunkts der Baumkrone
`int` | `gibYStartStamm()` Methode zur Abfrage der oberen y-Koordinate des Stamm-Rechtecks

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Baum

    public Baum(int xlinksoben,
                int ylinksoben,
                int breite,
                int hoehe)

  Konstruktor für einen Baum mit schwarzem rechteckigem Stamm und grüner kreisförmiger Baumkrone

  Parameters:
    `xlinksoben` - X-Koordinate der linken oberen Ecke des Baumstamms
    `ylinksoben` - Y-Koordinate der linken oberen Ecke des Baumstamms
    `breite` - Breite des Baumstamms in Pixeln
    `hoehe` - Höhe des Baumstamms in Pixeln

Method Detail

### gibBreiteStamm

    public int gibBreiteStamm()

  Methode zur Abfrage der Breite des Stamm-Rechtecks

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die Breite des Stamm-Rechtecks zurückgegeben

### gibFarbnrKrone

    public int gibFarbnrKrone()

  Methode zur Abfrage der Farbe der Baumkrone

  Returns:
    mit Hilfe des Getters aus der Klasse VOLLKREIS1 wird die Farbnummer des Baumkronen-Kreises zurückgegeben

### gibFarbnrStamm

    public int gibFarbnrStamm()

  Methode zur Abfrage der Farbe des Stamm-Rechtecks

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die Farbnummer des Stamm-Rechtecks zurückgegeben

### gibHoeheStamm

    public int gibHoeheStamm()

  Methode zur Abfrage der Höhe des Stamm-Rechtecks

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die Höhe des Stamm-Rechtecks zurückgegeben

### gibRadiusKrone

    public int gibRadiusKrone()

  Methode zur Abfrage des Radius der Baumkrone

  Returns:
    mit Hilfe des Getters aus der Klasse VOLLKREIS1 wird der Radius des Baumkronen-Kreises zurückgegeben

### gibXMitteKrone

    public int gibXMitteKrone()

  Methode zur Abfrage der x-Koordinate des Kreismittelpunkts der Baumkrone

  Returns:
    mit Hilfe des Getters aus der Klasse VOLLKREIS1 wird die x-Koordinate des Baumkronen-Mittelpunkts zurückgegeben

### gibXStartStamm

    public int gibXStartStamm()

  Methode zur Abfrage der linken x-Koordinate des Stamm-Rechtecks

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die linke x-Koordinate des Stamm-Rechtecks zurückgegeben

### gibYMitteKrone

    public int gibYMitteKrone()

  Methode zur Abfrage der y-Koordinate des Kreismittelpunkts der Baumkrone

  Returns:
    mit Hilfe des Getters aus der Klasse VOLLKREIS1 wird die y-Koordinate des Baumkronen-Mittelpunkts zurückgegeben

### gibYStartStamm

    public int gibYStartStamm()

  Methode zur Abfrage der oberen y-Koordinate des Stamm-Rechtecks

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die obere y-Koordinate des Stamm-Rechtecks zurückgegeben